/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.utiles;

import java.util.*;

public class TimeSpan {

   private long segundos;

   public TimeSpan(Date inicio, Date Final) {
      segundos = (Final.getTime() - inicio.getTime()) / 1000;
   }

   public TimeSpan(long segundos) {
      this.segundos = segundos;
   }

   @Override
   public String toString() {
      int horas = (int) (segundos / 3600);
      int resto = (int) (segundos % 3600);
      int minutos = resto / 60;
      int segundos2 = resto % 60;
      java.text.NumberFormat nf = java.text.NumberFormat.getInstance();
      nf.setMinimumIntegerDigits(2);
      return nf.format(horas) + ":" + nf.format(minutos) + ":" + nf.format(segundos2);
   }

   public boolean mayor(long segPlazo) {
      return (segundos > segPlazo);
   }
}
